Create a label (tenant:forge:write and maintainer, or tenant:forge:admin)
POST /api/forge/v1/projects/{key}/labels
Module: Forge · operationId: createForgeLabel · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Requires tenant:forge:admin, or tenant:forge:write and project role maintainer or admin. Writes forge.config.updated.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key |
path | string | yes | Project key (e.g. APP) |
Request body
application/json (required)
color(string): Color token (neutral, primary, …) or #rrggbbdescription(string): Description (max length 500)name(string): Name, unique per project ignoring case;scope::valuemakes it exclusive within the scope (max length 60)version(integer): PATCH: the version the change is based on
Example:
{
"color": "info",
"description": "Kundenportal im Browser",
"name": "plattform::web"
}
Responses
- 201 Created (
application/json) - 400 Error (
application/json) - 403 Error (
application/json) - 404 Error (
application/json) - 409 Error (
application/json)
Fields of the 201 answer:
color(string, required): Color token (neutral, primary, …) or #rrggbbdescription(string, required): Descriptionid(string (uuid), required): Label idname(string, required): scope::value makes it exclusive within the scopeversion(integer, required): Optimistic-locking version; send it with PATCH
Example 201 answer:
{
"color": "success",
"description": "",
"id": "8a4b5c6d-7e8f-4a9b-8cad-4e5f6a7b8c05",
"name": "plattform::android",
"version": 1
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/forge/v1/projects/string/labels' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"color":"info","description":"Kundenportal im Browser","name":"plattform::web"}'